%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%define module  TwistedConch

Name:           python-twisted-conch
Version:        15.2.1
Release:        %mkrel 2
Summary:        An SSH and SFTP protocol implementation together with clients and servers
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/projects/conch/
Source0:        http://twistedmatrix.com/Releases/Conch/%{mainver}/%{module}-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python-twisted-core
Requires:       python-twisted-core
Requires:       python-pyasn1

%description
Conch is an SSHv2 implementation written in Python. SSH is a protocol designed
to allow remote access to shells and commands, but it is generic enough to allow
everything from TCP forwarding to generic filesystem access. Since Conch is
written in Python, it interfaces well with other Python projects such as
Imagination. Conch also includes a implementations of the telnet and vt102
protocols, as well as support for rudamentary line editing behaviors.
A new implementation of Twisted's Manhole application is also included,
featuring server-side input history and interactive syntax coloring.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %buildroot
%{__python} setup.py install --root=%{buildroot} --skip-build --install-purelib=%{python_sitearch}


%files
%doc LICENSE README NEWS
%{_bindir}/*
%dir %{python_sitearch}/twisted/conch
%{python_sitearch}/twisted/conch/*
%{python_sitearch}/twisted/plugins/*
%{python_sitearch}/Twisted_Conch-%{version}-py%{pyver}.egg-info


%changelog
* Fri Mar 04 2016 bb <bb> 15.2.1-2pclos2016
- rebuild openssl

* Sun Sep 13 2015 bb <bb> 15.2.1-1pclos2015
- update
